import request from '@/utils/request'

// 查询答题卡列表
export function listSyTestAnswers(query) {
  return request({
    url: '/sy/syTestAnswers/list',
    method: 'get',
    params: query
  })
}

// 查询答题卡详细
export function getSyTestAnswers(answerId) {
  return request({
    url: '/sy/syTestAnswers/' + answerId,
    method: 'get'
  })
}

// 新增答题卡
export function addSyTestAnswers(data) {
  return request({
    url: '/sy/syTestAnswers',
    method: 'post',
    data: data
  })
}

// 修改答题卡
export function updateSyTestAnswers(data) {
  return request({
    url: '/sy/syTestAnswers',
    method: 'put',
    data: data
  })
}

// 删除答题卡
export function delSyTestAnswers(answerId) {
  return request({
    url: '/sy/syTestAnswers/' + answerId,
    method: 'delete'
  })
}

// 导出答题卡
export function exportSyTestAnswers(query) {
  return request({
    url: '/sy/syTestAnswers/export',
    method: 'get',
    params: query
  })
}